#
# spec file for package libKF5NetworkManagerQt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soversion 6
%define _tar_path 5.26
Name:           libKF5NetworkManagerQt
Version:        5.26.0
Release:        1.2
Summary:        A Qt wrapper for NetworkManager DBus API
License:        LGPL-2.1 or LGPL-3.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/networkmanager-qt-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.8.4
BuildRequires:  pkgconfig(libnm-glib) >= 0.9.8.4
BuildRequires:  pkgconfig(libnm-util) >= 0.9.8.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NetworkManagerQt provides access to all NetworkManager features
exposed on DBus. It allows you to manage your connections and control
your network devices and also provides a library for parsing connection
settings which are used in DBus communication.

%package devel
Summary:        A Qt wrapper for NetworkManager DBus API
Group:          Development/Libraries/KDE
Requires:       libKF5NetworkManagerQt%{soversion} = %{version}
Requires:       cmake(Qt5Core) >= 5.5.0
Requires:       cmake(Qt5DBus) >= 5.5.0
Requires:       cmake(Qt5Network) >= 5.5.0
Requires:       pkgconfig(NetworkManager) >= 0.9.8.4
Requires:       pkgconfig(libnm-glib) >= 0.9.8.4
Requires:       pkgconfig(libnm-util) >= 0.9.8.4

%description devel
NetworkManagerQt provides access to all NetworkManager features
exposed on DBus. It allows you to manage your connections and control
your network devices and also provides a library for parsing connection
settings which are used in DBus communication. Development files.

%package -n libKF5NetworkManagerQt%{soversion}
Summary:        A Qt wrapper for NetworkManager DBus API
Group:          Development/Libraries/KDE

%description -n libKF5NetworkManagerQt%{soversion}
NetworkManagerQt provides access to all NetworkManager features
exposed on DBus. It allows you to manage your connections and control
your network devices and also provides a library for parsing connection
settings which are used in DBus communication.

%prep
%setup -q -n networkmanager-qt-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5NetworkManagerQt%{soversion} -p /sbin/ldconfig

%postun -n libKF5NetworkManagerQt%{soversion} -p /sbin/ldconfig

%files -n libKF5NetworkManagerQt%{soversion}
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5NetworkManagerQt.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5NetworkManagerQt.so
%{_kf5_includedir}/
%{_kf5_libdir}/cmake/KF5NetworkManagerQt/
%{_kf5_mkspecsdir}/qt_NetworkManagerQt.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Default to WPA2-PSK and WPA2-EAP when getting security
    type from connection settings
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Sun Jul 10 2016 hrvoje.senjan@gmail.com
- Raise NM BuildRequires to 0.9.10.0 so it matches reality
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Do not set peap label based on peap version
  * Make network manager version checks in runtime
    (to avoid compile vs. run-time (kde#362736))
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Revert "drop WiMAX support for NM 1.2.0+" as it breaks ABI
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * ConnectionSettings: Initialize gateway ping timeout
  * New TunSetting and Tun connection type
  * Create devices for all known types
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Re-check connection state and other properties to be sure
    they are actual (version 2) (kde#352326)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Make it work with older NM versions
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
- Drop upstreamed 0001-make-it-work-with-older-NM-versions.patch
* Wed Dec 16 2015 alarrosa@suse.com
- Added 0001-make-it-work-with-older-NM-versions.patch committed also
  upstream. This adds some #ifdefs around code that needs NM 0.9.10
  so it also builds with NM 0.9.8
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Fix introspections, LastSeen should be in AccessPoint and
    not in ActiveConnection
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Added new properties from the latest NM snapshot/releases
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Drop WiMAX support for NM 1.2.0+
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * The installed headers are now organized like all other frameworks
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- NetworkManager is a public dep, so add the correct requires to
  devel package (pkgconfig(NetworkManager), pkgconfig(libnm-glib)
  and pkgconfig(libnm-util))
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Add new properties and methods from NetworkManager 1.0.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Do not print a message about unhandled "AccessPoints" property
  * Added support for NetworkManager 1.0.0 (not required)
  * Fixed VpnSetting secrets handling
  * Added class GenericSetting for connections not managed by
    NetworkManager
  * Added property AutoconnectPriority to ConnectionSettings
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
- Drop vpn.patch, merged upstream
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Added vpn.patch from upstream
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Libary is now officially a part of KDE Frameworks 5 libraries
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
- Update summary and descriptions
- Be more explicit about BuildRequires (using pkgconfig, etc)
- Added baselibs.conf
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Do not notify about changed VpnState twice
  * Watch for changes when constructing new ModemDevice
  * Add workaround to properly update IpInterface
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * Mnor bugfixes since previous release
* Sun Aug 10 2014 hrvoje.senjan@gmail.com
- Update to 5.0.92
  * Bugfix release
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Version update to 5.0.91
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Activate libKF5NetworkManagerQt package
